{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} Create project {% endblock title %}

{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Projects
        </p>
        <p class="subtitle">
            List of all projects
        </p>
    </div>
</section>

<div class="column is-two-thirds is-offset-2">
    <div class="section">
        <div class="columns is-multiline">
            {% for project in projects %}
            <a href={% url 'project_view' id=project.id %}>
                <div class="column is-3">
                    <div class="card">
                        <div class="card-image">
                            <figure class="image is-4by3">
                                <img src="{{project.display_picture.url}}" alt="Placeholder image">
                            </figure>
                        </div>
                        <div class="card-content">
                            <div class="media">
                                <div class="media-content">
                                    <p class="title is-5">{{project.name|truncatechars:40}}</p>
                                    <p class="subtitle is-6">{{project.primary_department}}
                                        <br>
                                        {{project.status|capfirst}}
                                    </p>
                                </div>
                            </div>
                            <div class="content">
                                <p></p>
                                <a></a>
                            </div>
                        </div>
                    </div>
                </div>
            </a>

            {% endfor %}
        </div>
    </div>
</div>



{% endblock %}
